Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.testng
Class TestNGTestMethodDetecter

    java.lang.Object
      org.objectweb.asm.commons.EmptyVisitor
          org.gradle.external.testng.TestNGTestMethodDetecter

    class TestNGTestMethodDetecter
    extends org.objectweb.asm.commons.EmptyVisitor

author:
  Tom Eyckmans

Constructor Summary
`TestNGTestMethodDetecter(TestNGTestClassDetecter testClassDetecter)`

Method Summary
`AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
`AnnotationVisitor` | `visitAnnotationDefault()`
`AnnotationVisitor` | `visitParameterAnnotation(int parameter, java.lang.String desc, boolean visible)`

Methods inherited from class org.objectweb.asm.commons.EmptyVisitor
visitField, visitMethod, visitCode, visitLabel, visitVarInsn, visitMethodInsn, visitJumpInsn, visitInsn, visitTryCatchBlock, visitMaxs, visitEnd, visitTypeInsn, visitIntInsn, visitLdcInsn, visitFieldInsn, visitSource, visitOuterClass, visitAttribute, visitInnerClass, visitAnnotationDefault, visitParameterAnnotation, visitIincInsn, visitTableSwitchInsn, visitLookupSwitchInsn, visitMultiANewArrayInsn, visitLocalVariable, visitLineNumber, visit, visit, visitAnnotation, visitAnnotation, visitArray, visitEnum, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### TestNGTestMethodDetecter

    public TestNGTestMethodDetecter(TestNGTestClassDetecter testClassDetecter)

Method Detail

### visitAnnotation

    public AnnotationVisitor visitAnnotation(java.lang.String desc, boolean visible)

### visitAnnotationDefault

    public AnnotationVisitor visitAnnotationDefault()

### visitParameterAnnotation

    public AnnotationVisitor visitParameterAnnotation(int parameter, java.lang.String desc, boolean visible)

Groovy Documentation